# Register a user This endpoint enables clients to initiate the creation of a new user account. If a contact with an identical email address already exists, that contact will be elevated to the status of a registered user. Essential attributes like identifiers.email_address and validators.password are mandatory for this endpoint. If any of these attributes are absent, registration attempts will trigger an error. Upon a successful request, session cookies like blaize_session and blaize_tracking_id are generated and included in the response header. Endpoint: POST /blaize/register Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `identifiers` (object, required) - `identifiers.email_address` (string) Example: "joe.blow@company.com" - `validators` (object, required) - `validators.password` (string) Example: "mysecurepassword123" - `validators.use_sso` (boolean) When this is present there should be no identifiers in the body. The user is identified through a blaize_session cookie. - `attributes` (object) ## Response 200 fields (application/json): - `cookie` (string) - `message` (string) - `tracking_id` (string) ## Response 400 fields